# Record TCefMenuButtonDelegate

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefMenuButtonDelegate = record`

## Description

Implement this structure to handle MenuButton events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefMenuButtonDelegate.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_menu_button_delegate_capi.h">CEF source file: /include/capi/views/cef_menu_button_delegate_capi.h (cef_menu_button_delegate_t))

## Overview

### Fields

| `base: TCefButtonDelegate;`
| `on_menu_button_pressed: procedure(self: PCefMenuButtonDelegate; menu_button: PCefMenuButton; const screen_point: PCefPoint; button_pressed_lock: PCefMenuButtonPressedLock); stdcall;`

## Description

### Fields

| `base: TCefButtonDelegate;`
This item has no description.

| `on_menu_button_pressed: procedure(self: PCefMenuButtonDelegate; menu_button: PCefMenuButton; const screen_point: PCefPoint; button_pressed_lock: PCefMenuButtonPressedLock); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.